Subject: Re: Problem allocating large meory using m8260_cpm_hostalloc

From: Prashant Alange <[email-masked]>
Date: Thu, 28 Jul 2005 11:29:54 -0700

Could you pls tell me what function I should be using for larger
memories. I do not know much about the memory management in linux.  It
would be heleful if you can throw some light on this in terms of
functions I should use. I could not find the file DMA-API.txt file but
I did get DMA-mapping.txt. Is this the file you were referring to?

Thanks,
Prashant

On 7/28/05, Dan Malek <[email-masked]> wrote:
>=20
> On Jul 28, 2005, at 12:50 PM, Prashant Alange wrote:
>=20
> > Could anyone tell what I am missing here?
>=20
> You are not supposed to be using this function for such memory
> allocations.
>=20
> > How can I allocate large memory in my driver using this hostalloc
> > function?
>=20
> You don't.  If you look at the existing drivers and comments, you'll
> see it's
> intended to only allocate small objects that are too inefficient to
> manage
> with the usual Linux DMA allocation functions.  You must use the
> standard
> Linux DMA for large allocations.  Read Documentation/DMA-API.txt, and
> in particular the non-PCI functions.
>=20
> Thanks.
>=20
>=20
>        -- Dan
>=20
>